package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpInspectGoodsStatusEnum {
   NO_COMMIT(1, "待提交"),
   COMMIT(2, "已提交");

   private final Integer key;
   private final String value;

   private DrpInspectGoodsStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpInspectGoodsStatusEnum[] enums = values();
      DrpInspectGoodsStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpInspectGoodsStatusEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpInspectGoodsStatusEnum[] enums = values();
      DrpInspectGoodsStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpInspectGoodsStatusEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
